Bug 427170 - Review Request: textflow - Programmers text editor written in Python
Review Request: textflow - Programmers text editor written in Python
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-01 16:53 EST by Mads Villadsen
Modified: 2008-01-03 16:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-03 16:11:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Mads Villadsen 2008-01-01 16:53:20 EST
Spec URL: http://krakoa.dk/fedora/textflow.spec
SRPM URL: http://krakoa.dk/fedora/8/SRPMS/textflow-0.2.2-1.fc8.src.rpm
Description: TextFlow is a programmers text editor written in Python.

Also needed is a new .desktop file which can be found here: http://krakoa.dk/fedora/textflow.desktop

rpmlint gives one error: missing documentation. However no documentation is included in the source.
Comment 1 Parag AN(पराग) 2008-01-02 01:37:11 EST
As this package contains desktop as separate source, you can modify it to
satisfy following mock build warning
warning: value "textflow.png" for key "Icon" in group "Desktop Entry" is an icon
name with an extension, but there should be no extension as described in the
Icon Theme Specification if the value is not an absolute path
Comment 2 Parag AN(पराग) 2008-01-02 03:35:05 EST
1)But, as said here
 its upto you to make changes or not in desktop file. So its not a blocker.

2)Also, packaging guidelines say
   If upstream uses <vendor_id>, leave it intact, otherwise use fedora as
So, good to add --vendor = "fedora"

3) I wonder howcome build.log failed to show duplicate files installed for
textflow.desktop as I can see textflow.desktop installed twice in buildroot
copying textflow.desktop ->

+ desktop-file-install --vendor= 

Anyway, I will not see this as blocker then.

Comment 3 Parag AN(पराग) 2008-01-02 03:38:45 EST
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
e3bb217f7e8ea3f8976d013442f41d99  textflow-0.2.2.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop files handled correctly.
+ no scriptlets are used.
+GUI app.


   keep upstream tarball timestamp intact.
   Add fedora as vendor tag.
Comment 4 Mads Villadsen 2008-01-02 18:30:54 EST
I have made the changes to the .desktop file and added fedora as vendor id. The
new files can be found here:

Spec URL: http://krakoa.dk/fedora/textflow.spec
SRPM URL: http://krakoa.dk/fedora/8/SRPMS/textflow-0.2.2-2.fc8.src.rpm
New .desktop file: http://krakoa.dk/fedora/textflow.desktop

I will proceed with the CVSAdminProcedure.
Comment 5 Mads Villadsen 2008-01-02 18:40:11 EST
New Package CVS Request
Package Name: textflow
Short Description: TextFlow is a text editor directed toward programmers
Owners: maxx
Branches: F-8
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-01-02 23:44:40 EST
cvs done.
Comment 7 Mads Villadsen 2008-01-03 16:11:57 EST
closing bug since the build is on its way through the system. Should appear soon
in both rawhide and F8.

Note You need to log in before you can comment on or make changes to this bug.